// JScript File Libs
// Version 1.0.0.1
// (C) Copyright 2007 Hewlett-Packard Development Company, L.P.

    function IsPlatform_i386()
    {
       return !isInUserAgent("WOW64");
    }

    function IsPlatform_x64()
    {
       return isInUserAgent("WOW64");
    }

    function isVista_x64()
    {
       return isInUserAgent("Windows NT 6.0") && IsPlatform_x64();
    }
    function isVista_i386()
    {
        return isInUserAgent("Windows NT 6.0") && IsPlatform_i386();
    }
    function isVista()
    {
        return isInUserAgent("Windows NT 6.0"); 
    }       	   
    function isS2003_x64()
    {
       return isInUserAgent("Windows NT 5.2") && IsPlatform_x64();	       
    }
    function isS2003_i386()
    {
       return isInUserAgent("Windows NT 5.2") && IsPlatform_i386();
    }
    function isS2003()
    {
       return isInUserAgent("Windows NT 5.2");
    }   
    function isXP_x64()
    {
       return isInUserAgent("Windows NT 5.1") && IsPlatform_x64();	       
    }
    function isXP_i386()
    {
       return isInUserAgent("Windows NT 5.1") && IsPlatform_i386();
    }
    function isXP()
    {
       return isInUserAgent("Windows NT 5.1");
    }
       
    function is2000()
    {
       return isInUserAgent("Windows NT 5.0") || isInUserAgent("Windows NT 5.01");
    }

    function isNT40()
    {
        return isInUserAgent("Windows NT 4.0");
    }

    function isWinMe()
    {
        return isInUserAgent("Windows 98; Win 9x 4.90");
    }
    function isWin98()
    {
        return isInUserAgent("Windows 98");
    }

    function isWin95()
    {
        return isInUserAgent("Windows 95");
    }
    	    		
    function isInUserAgent(value)
    {
       return navigator.userAgent.indexOf(value)>0
    }
    
    function isOSNotSupported()
    {
       return isWin95() || isWin98() || isWinMe() || isNT40() /*|| isXP()*/;
    }
    
    function getPlatformName()
    {
       if(IsPlatform_x64())
           return "x64";
       if (IsPlatform_i386())
	       return "i386"; 
	   return "";     
    }

    function getOSName()
    {
       if(isVista_x64())
           return "Vista x64";
       if (isVista_i386())
	        return "Vista";
       if (isVista())
	        return "Vista"; 
    	       	   
       if(isS2003_x64())
           return "Server 2003 x64";	       
       if(isS2003_i386())
           return "Server 2003";
       if(isS2003())
           return "Server 2003";
           
       if(isXP_x64())
           return "XP x64";	       
       if(isXP_i386())
           return "XP";
       if(isXP())
           return "XP";
           
       if(is2000())
           return "2000";

       if (isNT40())
	        return "NT 4.0";
       
       if (isWinMe())
	        return "Millennium Edition (Windows Me)";
       
       if (isWin98())
            return "98";

       if (isWin95())
	        return "95";
    }
    
    function GetAbsoluteFilePath(filename)
    {
        var pgURL = document.URL.replace(/\\/g, "/");
        var n = pgURL.lastIndexOf("/");
        var path = pgURL.substring(n+1);
        var newPath = pgURL.replace(path, "");

        return newPath + filename;
    }
    
    
    function getDisplayDir()
    {
        if (ProductLangCode == "ARWW" ||  ProductLangCode == "HEWW")
            return "rtl";
        else
            return "ltr";
    }
    
    
    function NoOp() { };

    function onALinkCancel ()
    {

	    window.event.returnValue = false; 

    };
    


